﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace KPL
{
    public class AppContext
    {
        #region Variables
        private static AppContext _instance = null;
        #endregion

        #region Properties
        public IContent Content
        {
            get;
            set;
        }
        #endregion

        #region Constructor
        private AppContext()
        { 
        }
        #endregion

        #region Methods
        public static AppContext Instance()
        {
            if (_instance == null)
            {
                _instance = new AppContext(); 
            }
            return _instance;
        }
        #endregion
    }
}
