﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KPL
{
   public  class ReaderBuffMgr
    {
        static public string StrBuffASCII = "";  // Hold current input data from reader in ASCII format 
        static public byte[] RawBytes = new byte[2000];	// Holds current input data in byte array
        public static int count = 0;
        public static int PrevLng = 0;
        private static int PreviousTimeStamp = 0;		// Holds previous reader response time stampe

        public static void ScanBuilder(string StrLatestData, int IntTickTime)
        {
            // If time stamp close to previous time stamp, concatenate the latest data with the previous data
            if ((IntTickTime - PreviousTimeStamp) <= 901)
            {
                StrBuffASCII += StrLatestData;
            }

            else  // Else, flush the data and start fresh with latest string data
            {
                StrBuffASCII = StrLatestData;
            }

            GetTimeStamp();	//Update Time Stamp Value
        }


        public static void DataBuilder(byte[] buffer, int IntTickTime)
        {
            // If time stamp close to previous time stamp, concatenate the latest data with the previous data
            if ((IntTickTime - PreviousTimeStamp) <= 901)
            {
                if (count == 0)
                {
                    Array.Copy(buffer, 0, RawBytes, 0, buffer.Length);
                    PrevLng += buffer.Length;//PrevLng s/b 0
                }
                if (count > 0)
                {
                    Array.Copy(buffer, 0, RawBytes, PrevLng, buffer.Length);
                    PrevLng += buffer.Length;
                }
                count++;
            }
            else  // Else, flush the data and start fresh with latest string data
            {

                Array.Copy(buffer, 0, RawBytes, 0, buffer.Length);
                PrevLng = buffer.Length;//PrevLng s/b 0
                count++;
            }
            GetTimeStamp();	//Update Time Stamp Value
        }



        public static void GetTimeStamp()
        {
            PreviousTimeStamp = Environment.TickCount;
        }
    }
}
