﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TokenWorksDLLSample
{
    class UfComScan
    {
        private static string Ser = string.Empty;
        private static string Reg = string.Empty;
        private static byte[] Serno = new byte[10];
        private static byte[] Regno = new byte[16];
        private static byte[] Keyno = new byte[26];
        private static byte[] MyScan = new byte[1500];
        public static string ScanSN;
      //  public static byte[] Unlocked = new byte[1550];
        //public static byte[] Scan = new byte[1500];

        #region utils
        private static string To_ASCII_Str(byte[] bytes)
        {
            string hexString = "";
            for (int i = 0; i < bytes.Length; i++)
            {
                if (bytes[i] == 0) break; //this should keep nulls out of strings
                hexString += (char)bytes[i];
            }
            return hexString;
        }

        private static byte[] StrToByteArray(string str)
        {
            System.Text.ASCIIEncoding encoding = new System.Text.ASCIIEncoding();
            return encoding.GetBytes(str);
        }
        #endregion

        public static bool Initialize(byte[] MyBytes)
        {
            bool status = false;

            string scanData = To_ASCII_Str(MyBytes);

            int j = scanData.IndexOf("S/N");
            if (j != 0)
            {
                Array.Copy(MyBytes, j + 7, Serno, 0, 10);
                ScanSN = To_ASCII_Str(Serno);
                Ser = To_ASCII_Str(Serno);
            }

           

            j = scanData.IndexOf("ESN");
            if (j != 0)
            {
                Array.Copy(MyBytes, j + 5, Regno, 0, 16);
                Reg = To_ASCII_Str(Regno);
            }

            if (string.IsNullOrEmpty(Reg))
                status = false;
            else
            {
                status = true;
                MyScan = MyBytes;
            }
            return status;
        }

        public static void UnlockPDF( byte[] Scan, out byte[] unlocked)
        {
            
            //try
            //{
            if (Regno.Length != 0)
            {
                Array.Copy(Serno, Keyno, Serno.Length);
                Array.Copy(Regno, 0, Keyno, Serno.Length, Regno.Length); //key is filled.
                Array.Copy(Keyno, MyScan, Keyno.Length);
                Array.Copy(Scan, 0, MyScan, Keyno.Length, Scan.Length);

                unlocked = MyScan;
            }
            else
            {
                MyScan[0] = 0;
                unlocked = MyScan;
            }
            //}
        //catch
        //{
        //    Unlocked[0]=0;
        //    return Unlocked[];
        //}
           

        }

    }
}
